# Rozwiązanie zadania Przesuwanie króla
# Zawody I stopnia XVII OIJ
# oij.edu.pl

# Bartosz Kostka

# Na podstawie napisu z pozycją, zwracamy kolumnę jako liczbę (od 1 do 8).
def Kolumna(pozycja):
  return ord(pozycja[0]) - ord('0') 

# Na podstawie napisu z pozycją, zwracamy wiersz jako liczbę (od 1 do 8).
def Wiersz(pozycja):
  return ord(pozycja[1]) - ord('a') + 1

# Zwracamy w którym kierunku powinniśmy się poruszać w osi X.
def KierunekX(poczatkowa_kolumna, koncowa_kolumna):
  if poczatkowa_kolumna < koncowa_kolumna: return 1
  if poczatkowa_kolumna == koncowa_kolumna: return 0
  if poczatkowa_kolumna > koncowa_kolumna: return -1

# Zwracamy w którym kierunku powinniśmy się poruszać w osi Y.
def KierunekY(poczatkowy_wiersz, koncowy_wiersz):
  if poczatkowy_wiersz < koncowy_wiersz: return 1
  if poczatkowy_wiersz == koncowy_wiersz: return 0
  if poczatkowy_wiersz > koncowy_wiersz: return -1

# Wygeneruj napis reprezentujący kolejny ruch.
def WygenerujRuch(kierunek_x, kierunek_y):
  ruch = ""
  if kierunek_y == 1: ruch += "N"
  if kierunek_y == -1: ruch += "S"
  if kierunek_x == 1: ruch += "E"
  if kierunek_x == -1: ruch += "W"
  return ruch

def main():
  aktualna_pozycja = input()
  koncowa_pozycja = input()
  aktualny_wiersz = Wiersz(aktualna_pozycja)
  aktualna_kolumna = Kolumna(aktualna_pozycja)
  koncowy_wiersz = Wiersz(koncowa_pozycja)
  koncowa_kolumna = Kolumna(koncowa_pozycja)

  kierunek_x = KierunekX(aktualna_kolumna, koncowa_kolumna)
  kierunek_y = KierunekY(aktualny_wiersz, koncowy_wiersz)
  ruchy = []
  # Dopóki nie powinniśmy stać w miejscu.
  while kierunek_x != 0 or kierunek_y != 0:
    ruch = WygenerujRuch(kierunek_x, kierunek_y)
    ruchy.append(ruch)
    # Przesuń króla w odpowiednim kierunku.
    aktualna_kolumna += kierunek_x
    aktualny_wiersz += kierunek_y
    # I wygeneruj kierunek po tym jak zaktualizowaliśmy pozycję.
    kierunek_x = KierunekX(aktualna_kolumna, koncowa_kolumna)
    kierunek_y = KierunekY(aktualny_wiersz, koncowy_wiersz)

  # Finalnie wypisz wszystkie ruchy.
  print(len(ruchy))
  for ruch in ruchy:
    print(ruch, end=' ')
  print('')


main()